Rapid7 Vulnerability & Exploit Database

Gentoo Linux: CVE-2021-28693: Xen: Multiple vulnerabilities

Back to Search

Gentoo Linux: CVE-2021-28693: Xen: Multiple vulnerabilities

Severity
2
CVSS
(AV:L/AC:L/Au:N/C:P/I:N/A:N)
Published
06/30/2021
Created
07/14/2021
Added
07/13/2021
Modified
07/13/2021

Description

xen/arm: Boot modules are not scrubbed The bootloader will load boot modules (e.g. kernel, initramfs...) in a temporary area before they are copied by Xen to each domain memory. To ensure sensitive data is not leaked from the modules, Xen must "scrub" them before handing the page over to the allocator. Unfortunately, it was discovered that modules will not be scrubbed on Arm.

Solution(s)

  • gentoo-linux-upgrade-app-emulation-xen

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;